
      subroutine plfile(name)
      character name*(*), pfnam*20
      common /DEV/ idev, ix0, iy0, iang, ipen
      common /DEVICE/ xpag, ypag, xpix, ypix
      common /VER/ iver

      pfnam=name
      iver = iver + 1
      do j=20,1,-1
        if(pfnam(j:j).ne.' ')then
          write(pfnam(j+1:20),'(i2.2)')iver
          go to 5
        end if
      end do
      stop 'Invalid plot file name'

    5 continue
      ix0 = 0
      iy0 = 0
      iang = 0
      ipen = 2
      xpag = 297.0
      ypag = 210.0
      xpix = 0.085
      ypix = 0.085
      call dev_open(0,4)
      call dev_pf(28,pfnam)
      return
      end

      subroutine plots(junk1,junk2,junk3)
      return
      end

      subroutine factor(fact)
      call dev_factor(fact)
      return
      end

      subroutine line(x,y,n,inc,lintyp,inteq)
      dimension x(*),y(*)
      call dev_line(x,y,n,inc,lintyp,inteq)
      return
      end

      subroutine symbol(x,y,siz,string,angle,nch)
      character string*(*)
      call dev_symbol(x,y,siz,string,angle,nch)
      return
      end

      subroutine number(x,y,siz,fpn,angle,ndec)
      call dev_number(x,y,siz,fpn,angle,ndec)
      return
      end

      subroutine plot(x,y,ipen)
      if(ipen.ne.999)then
        call dev_plot(x,y,ipen)
      else
        call dev_close
      end if
      return
      end

      subroutine scale(array,axlen,n,iflag)
      dimension array(*)
      call dev_scale(array,axlen,n,iflag)
      return
      end

      subroutine axis(x,y,title,ntitl,axlen,angle,amin,scale)
      character title*(*)
      call dev_axis(x,y,title,ntitl,axlen,angle,amin,scale)
      return
      end

      subroutine setcc
      return
      end
